Delete an action definition
curl --request DELETE \
--url https://api.hubapi.com/automation/actions/2026-03/{appId}/{definitionId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/automation/actions/2026-03/{appId}/{definitionId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/automation/actions/2026-03/{appId}/{definitionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
This response has no body data.{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Definitions
Delete an action definition
Delete an action definition by ID.
DELETE
/
automation
/
actions
/
2026-03
/
{appId}
/
{definitionId}
Delete an action definition
Supported products
Supported products
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The ID of the app associated with the action definition.
The ID of the action definition to delete.
Response
Last modified on March 31, 2026
Was this page helpful?
⌘I